# Simulates Shipment Shipped POST https://gateway-dev.shipbob.dev/2.0/simulate/shipment Content-Type: application/json Reference: https://developer-dev.shipbob.dev/v2.0/api/simulations/simulates-shipment-shipped ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2.0 version: 1.0.0 paths: /2.0/simulate/shipment: post: operationId: simulates-shipment-shipped summary: | Simulates Shipment Shipped tags: - subpackage_simulations parameters: - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Existing registration content: application/json: schema: $ref: '#/components/schemas/Simulation.simulationResponseModel' requestBody: description: Order Simulation Request Model content: application/json: schema: $ref: '#/components/schemas/Simulation.orderSimulationRequestModel' servers: - url: https://gateway-dev.shipbob.dev components: schemas: Simulation.simulationModel: type: object properties: action: type: - string - 'null' delay: type: - integer - 'null' next: $ref: '#/components/schemas/Simulation.simulationModel' required: - action title: Simulation.simulationModel Simulation.orderSimulationRequestModel: type: object properties: shipment_id: type: - string - 'null' simulation: $ref: '#/components/schemas/Simulation.simulationModel' required: - shipment_id - simulation title: Simulation.orderSimulationRequestModel Simulation.simulationResponseModel: type: object properties: message: type: - string - 'null' simulation_id: type: - string - 'null' title: Simulation.simulationResponseModel securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Simulations_simulatesShipmentShipped_example import requests url = "https://gateway-dev.shipbob.dev/2.0/simulate/shipment" payload = { "shipment_id": "string", "simulation": { "action": "string", "delay": 0, "next": {} } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Simulations_simulatesShipmentShipped_example const url = 'https://gateway-dev.shipbob.dev/2.0/simulate/shipment'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"shipment_id":"string","simulation":{"action":"string","delay":0,"next":{}}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Simulations_simulatesShipmentShipped_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://gateway-dev.shipbob.dev/2.0/simulate/shipment" payload := strings.NewReader("{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Simulations_simulatesShipmentShipped_example require 'uri' require 'net/http' url = URI("https://gateway-dev.shipbob.dev/2.0/simulate/shipment") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}" response = http.request(request) puts response.read_body ``` ```java Simulations_simulatesShipmentShipped_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway-dev.shipbob.dev/2.0/simulate/shipment") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}") .asString(); ``` ```php Simulations_simulatesShipmentShipped_example request('POST', 'https://gateway-dev.shipbob.dev/2.0/simulate/shipment', [ 'body' => '{ "shipment_id": "string", "simulation": { "action": "string", "delay": 0, "next": {} } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Simulations_simulatesShipmentShipped_example using RestSharp; var client = new RestClient("https://gateway-dev.shipbob.dev/2.0/simulate/shipment"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Simulations_simulatesShipmentShipped_example import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "shipment_id": "string", "simulation": [ "action": "string", "delay": 0, "next": [] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://gateway-dev.shipbob.dev/2.0/simulate/shipment")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python Simulations_simulatesShipmentShipped_example import requests url = "https://gateway-dev.shipbob.dev/2.0/simulate/shipment" payload = { "shipment_id": "string", "simulation": { "action": "string", "delay": 0, "next": {} } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Simulations_simulatesShipmentShipped_example const url = 'https://gateway-dev.shipbob.dev/2.0/simulate/shipment'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"shipment_id":"string","simulation":{"action":"string","delay":0,"next":{}}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Simulations_simulatesShipmentShipped_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://gateway-dev.shipbob.dev/2.0/simulate/shipment" payload := strings.NewReader("{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Simulations_simulatesShipmentShipped_example require 'uri' require 'net/http' url = URI("https://gateway-dev.shipbob.dev/2.0/simulate/shipment") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}" response = http.request(request) puts response.read_body ``` ```java Simulations_simulatesShipmentShipped_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway-dev.shipbob.dev/2.0/simulate/shipment") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}") .asString(); ``` ```php Simulations_simulatesShipmentShipped_example request('POST', 'https://gateway-dev.shipbob.dev/2.0/simulate/shipment', [ 'body' => '{ "shipment_id": "string", "simulation": { "action": "string", "delay": 0, "next": {} } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Simulations_simulatesShipmentShipped_example using RestSharp; var client = new RestClient("https://gateway-dev.shipbob.dev/2.0/simulate/shipment"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"shipment_id\": \"string\",\n \"simulation\": {\n \"action\": \"string\",\n \"delay\": 0,\n \"next\": {}\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Simulations_simulatesShipmentShipped_example import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "shipment_id": "string", "simulation": [ "action": "string", "delay": 0, "next": [] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://gateway-dev.shipbob.dev/2.0/simulate/shipment")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```